/**************************************
 * NOTE: This source code is free and 
 * comes with ABSOLUTELY NO WARRANTY.
 * 
 * @author Daniel Muenter, 2006
 * 
 **************************************/

function growlNotify(msg) {
	dump("'" + msg + "'\n");
	var img = "chrome://feedbackfox/skin/feedbackfox_icon_32x32.png";
	var comp = Components.classes["@growl.info/notifications;1"];
	if (comp) {
		var gGrowl = comp.getService(Components.interfaces.grINotifications);
		if (gGrowl) {
			gGrowl.sendNotification("FBF Message", img, "Feedbackfox", msg, "",
					null);
		} else {
			dump("GrowlNotifier not available\n");
		}
	} else {
		try {
			var alertsService = Components.classes["@mozilla.org/alerts-service;1"]
					.getService(Components.interfaces.nsIAlertsService);
			alertsService.showAlertNotification(img, "Feedbackfox", msg, false,
					"", null);
		} catch (e) {
			var promptService = Components.classes["@mozilla.org/embedcomp/prompt-service;1"]
					.getService(Components.interfaces.nsIPromptService);
			promptService.alert(null, "Feedbackfox", msg);
		}
	}
}
